Page MenuHomePhabricator

rhg: Make Repo::dirstate_parents a LazyCell
ClosedPublic

Authored by SimonSapin on Dec 2 2021, 11:48 AM.

Details

Summary

Unify with the same abstraction used for other lazily-initialized components

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

SimonSapin created this revision.Dec 2 2021, 11:48 AM
Alphare accepted this revision.Dec 3 2021, 6:17 AM
This revision is now accepted and ready to land.Dec 3 2021, 6:17 AM
SimonSapin updated this revision to Diff 31318.Dec 6 2021, 5:03 AM
This revision was automatically updated to reflect the committed changes.